directory-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Sorin Sbarnea (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (DIRSTUDIO-1070) Can't start on OS X using Java8
Date Fri, 20 Nov 2015 11:24:11 GMT

    [ https://issues.apache.org/jira/browse/DIRSTUDIO-1070?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15015627#comment-15015627
] 

Sorin Sbarnea commented on DIRSTUDIO-1070:
------------------------------------------

Anyone going to fix this as this bug makes the entire package useless on OS X 10.11, where
the only supported java version is 1.8.

Unresolved requirement: Require-Capability: osgi.ee; filter:="(&(osgi.ee=JavaSE)(version=1.7))"

Seeing a line like the one above makes me fill sorry for the poor guy who wrote this time-bomb.


> Can't start on OS X using Java8
> -------------------------------
>
>                 Key: DIRSTUDIO-1070
>                 URL: https://issues.apache.org/jira/browse/DIRSTUDIO-1070
>             Project: Directory Studio
>          Issue Type: Bug
>    Affects Versions: 2.0.0-M9 (2.0.0.v20150606-M9)
>         Environment: OSX 10.10
> Installed JavaSE, JavaSDK
>            Reporter: Florian Heigl
>            Priority: Blocker
>
> Well it won't even run without installing a old Java6 SDK.
> That would be problematic since DS Studio is what I use for maintaining the really critical
stuff, so I would prefer to not get attacked anywhere I go by having old Java crud installed.
> It seems it would mostly be a matter of modifying the plist file.
> The DS FAQ has some info about setting the java version but OS X is not mentioned in
those howtos.
> I'm going to try poking at the file, but most probably i'll fail and just sit there and
sob.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message